Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class BatchSimParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.SimParams
          umontreal.iro.lecuyer.contactcenters.app.params.BatchSimParams

    public class BatchSimParams

extends SimParams

Gives the parameters for a call center simulation using batch means to evaluate steady-state performance measures.

Field Summary
`protected Boolean` | `aggregation`
`protected Duration` | `batchSize`
`protected Integer` | `currentPeriod`
`protected Boolean` | `initNonEmpty`
`protected Integer` | `maxBatches`
`protected Integer` | `maxInitBlocked`
`protected int` | `minBatches`
`protected Double` | `targetInitOccupancy`
`protected Integer` | `warmupBatches`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`callTrace, controlVariables, cpuTimeLimit, enableChrono, estimateContactTypeAgentGroup, keepObs, normalizeToDefaultUnit, randomStreams, report, restrictToPrintedStat, sequentialSampling`

Constructor Summary
`BatchSimParams()`

Method Summary
`Duration` | `getBatchSize()` Gets the value of the batchSize property.
`int` | `getCurrentPeriod()` Gets the value of the currentPeriod property.
`int` | `getMaxBatches()` Gets the value of the maxBatches property.
`int` | `getMaxInitBlocked()` Gets the value of the maxInitBlocked property.
`int` | `getMinBatches()` Gets the value of the minBatches property.
`double` | `getTargetInitOccupancy()` Gets the value of the targetInitOccupancy property.
`int` | `getWarmupBatches()` Gets the value of the warmupBatches property.
`boolean` | `isAggregation()` Gets the value of the aggregation property.
`boolean` | `isInitNonEmpty()` Gets the value of the initNonEmpty property.
`boolean` | `isSetAggregation()`
`boolean` | `isSetBatchSize()`
`boolean` | `isSetCurrentPeriod()`
`boolean` | `isSetInitNonEmpty()`
`boolean` | `isSetMaxBatches()`
`boolean` | `isSetMaxInitBlocked()`
`boolean` | `isSetMinBatches()`
`boolean` | `isSetTargetInitOccupancy()`
`boolean` | `isSetWarmupBatches()`
`void` | `setAggregation(boolean value)` Sets the value of the aggregation property.
`void` | `setBatchSize(Duration value)` Sets the value of the batchSize property.
`void` | `setCurrentPeriod(int value)` Sets the value of the currentPeriod property.
`void` | `setInitNonEmpty(boolean value)` Sets the value of the initNonEmpty property.
`void` | `setMaxBatches(int value)` Sets the value of the maxBatches property.
`void` | `setMaxInitBlocked(int value)` Sets the value of the maxInitBlocked property.
`void` | `setMinBatches(int value)` Sets the value of the minBatches property.
`void` | `setTargetInitOccupancy(double value)` Sets the value of the targetInitOccupancy property.
`void` | `setWarmupBatches(int value)` Sets the value of the warmupBatches property.
`void` | `unsetAggregation()`
`void` | `unsetCurrentPeriod()`
`void` | `unsetInitNonEmpty()`
`void` | `unsetMaxBatches()`
`void` | `unsetMaxInitBlocked()`
`void` | `unsetTargetInitOccupancy()`
`void` | `unsetWarmupBatches()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`getCallTrace, getControlVariables, getCpuTimeLimit, getRandomStreams, getReport, getSequentialSampling, isEnableChrono, isEstimateContactTypeAgentGroup, isKeepObs, isNormalizeToDefaultUnit, isRestrictToPrintedStat, isSetCallTrace, isSetControlVariables, isSetCpuTimeLimit, isSetEnableChrono, isSetEstimateContactTypeAgentGroup, isSetKeepObs, isSetNormalizeToDefaultUnit, isSetRandomStreams, isSetReport, isSetRestrictToPrintedStat, isSetSequentialSampling, setCallTrace, setCpuTimeLimit, setEnableChrono, setEstimateContactTypeAgentGroup, setKeepObs, setNormalizeToDefaultUnit, setRandomStreams, setReport, setRestrictToPrintedStat, unsetControlVariables, unsetEnableChrono, unsetEstimateContactTypeAgentGroup, unsetKeepObs, unsetNormalizeToDefaultUnit, unsetRestrictToPrintedStat, unsetSequentialSampling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minBatches

    protected int minBatches

### maxBatches

    protected Integer maxBatches

### warmupBatches

    protected Integer warmupBatches

### aggregation

    protected Boolean aggregation

### batchSize

    protected Duration batchSize

### currentPeriod

    protected Integer currentPeriod

### initNonEmpty

    protected Boolean initNonEmpty

### targetInitOccupancy

    protected Double targetInitOccupancy

### maxInitBlocked

    protected Integer maxInitBlocked

Constructor Detail

### BatchSimParams

    public BatchSimParams()

Method Detail

### getMinBatches

    public int getMinBatches()

  Gets the value of the minBatches property.

### setMinBatches

    public void setMinBatches(int value)

  Sets the value of the minBatches property.

### isSetMinBatches

    public boolean isSetMinBatches()

### getMaxBatches

    public int getMaxBatches()

  Gets the value of the maxBatches property.

  Returns:
    possible object is `Integer`

### setMaxBatches

    public void setMaxBatches(int value)

  Sets the value of the maxBatches property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxBatches

    public boolean isSetMaxBatches()

### unsetMaxBatches

    public void unsetMaxBatches()

### getWarmupBatches

    public int getWarmupBatches()

  Gets the value of the warmupBatches property.

  Returns:
    possible object is `Integer`

### setWarmupBatches

    public void setWarmupBatches(int value)

  Sets the value of the warmupBatches property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetWarmupBatches

    public boolean isSetWarmupBatches()

### unsetWarmupBatches

    public void unsetWarmupBatches()

### isAggregation

    public boolean isAggregation()

  Gets the value of the aggregation property.

  Returns:
    possible object is `Boolean`

### setAggregation

    public void setAggregation(boolean value)

  Sets the value of the aggregation property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetAggregation

    public boolean isSetAggregation()

### unsetAggregation

    public void unsetAggregation()

### getBatchSize

    public Duration getBatchSize()

  Gets the value of the batchSize property.

  Returns:
    possible object is `Duration`

### setBatchSize

    public void setBatchSize(Duration value)

  Sets the value of the batchSize property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetBatchSize

    public boolean isSetBatchSize()

### getCurrentPeriod

    public int getCurrentPeriod()

  Gets the value of the currentPeriod property.

  Returns:
    possible object is `Integer`

### setCurrentPeriod

    public void setCurrentPeriod(int value)

  Sets the value of the currentPeriod property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetCurrentPeriod

    public boolean isSetCurrentPeriod()

### unsetCurrentPeriod

    public void unsetCurrentPeriod()

### isInitNonEmpty

    public boolean isInitNonEmpty()

  Gets the value of the initNonEmpty property.

  Returns:
    possible object is `Boolean`

### setInitNonEmpty

    public void setInitNonEmpty(boolean value)

  Sets the value of the initNonEmpty property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetInitNonEmpty

    public boolean isSetInitNonEmpty()

### unsetInitNonEmpty

    public void unsetInitNonEmpty()

### getTargetInitOccupancy

    public double getTargetInitOccupancy()

  Gets the value of the targetInitOccupancy property.

  Returns:
    possible object is `Double`

### setTargetInitOccupancy

    public void setTargetInitOccupancy(double value)

  Sets the value of the targetInitOccupancy property.

  Parameters:
    `value` - allowed object is `Double`

### isSetTargetInitOccupancy

    public boolean isSetTargetInitOccupancy()

### unsetTargetInitOccupancy

    public void unsetTargetInitOccupancy()

### getMaxInitBlocked

    public int getMaxInitBlocked()

  Gets the value of the maxInitBlocked property.

  Returns:
    possible object is `Integer`

### setMaxInitBlocked

    public void setMaxInitBlocked(int value)

  Sets the value of the maxInitBlocked property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxInitBlocked

    public boolean isSetMaxInitBlocked()

### unsetMaxInitBlocked

    public void unsetMaxInitBlocked()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.